﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.OrganizationChild
@{
    ViewData["Title"] = "Index";
    const string url = "/ApplicationManagement/AssignAssessment/AssessmentList";
}
<script src="~/Script/Master/Layout.js"></script>
<style>
    .f_icons {
        margin-top: 19px;
        padding-left: 5px;
    }

        .f_icons i {
            background-color: #f1f1f1ee;
            padding: 6px;
            border-radius: 2px;
        }

    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }

    .adddivProcess {
        padding-left: 20px;
    }

    .btnFlex {
        display: flex;
        width: 100%;
    }

    .close {
        opacity: 1.5;
        color: white;
    }

    .table tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .table_control table th {
        background: #26d0ce;
    }

    .selectOrganization {
        display: block;
    }

        .selectOrganization h3 {
            margin: 5px 0px 10px;
            padding: 0px;
            font-size: 16px;
            font-weight: 600;
        }

    .slOrg {
        margin-bottom: 5px;
    }

    .selectOrganization ul {
        margin: 0px;
        padding: 0px;
        list-style-type: none;
    }

        .selectOrganization ul li {
            padding: 5px 0px 0px;
        }

            .selectOrganization ul li ul li {
                position: relative;
            }

                .selectOrganization ul li ul li.active::after {
                    content: "";
                    border-right: solid 30px #00a3a1;
                    border-bottom: solid 18px transparent;
                    border-top: solid 18px transparent;
                    position: absolute;
                    right: -30px;
                    top: 5px;
                }

            .selectOrganization ul li ul {
                margin-left: 20px;
            }

            .selectOrganization ul li span.li {
                background: #f3f3f3;
                border: solid 1px #dedede;
                display: flex;
                padding: 5px 6px 5px 8px;
            }

                .selectOrganization ul li span.li input[type="checkbox"] {
                    margin-right: 5px;
                }

                .selectOrganization ul li span.li .clickIcon {
                    width: 20px;
                    height: 20px;
                    display: block;
                    background: #00a3a1;
                    margin-left: auto;
                    position: relative;
                    cursor: pointer;
                }

                    .selectOrganization ul li span.li .clickIcon::after {
                        content: "";
                        width: 12px;
                        height: 2px;
                        background: #fff;
                        position: absolute;
                        left: 4px;
                        top: 50%;
                        margin-top: -1px;
                    }

                    .selectOrganization ul li span.li .clickIcon::before {
                        content: "";
                        width: 2px;
                        height: 12px;
                        background: #fff;
                        position: absolute;
                        top: 4px;
                        left: 50%;
                        margin-left: -1px;
                    }

    .btnsubmit input {
        width: 15%;
        float: right;
        padding: 8px 16px;
        border: none;
        background: #414141;
        color: #fff;
        text-align: center;
        font-size: 14px;
        -o-transition: 0.3s;
        -moz-transition: 0.3s;
        -webkit-transition: 0.3s;
        transition: 0.3s;
    }

    .addApplications {
        position: relative;
        min-height: 100%;
        border-radius: 10px;
        padding: 15px 15px;
        box-shadow: 0px 1px 4px #00000057;
    }

    .addApplicationss {
        position: relative;
        border-radius: 10px;
        padding: 15px 15px;
        box-shadow: 0px 1px 4px #00000057;
    }

    .addApplications h3 {
        margin: 0;
        font-size: 16px;
        color: #000;
        border-bottom: 1px solid #e8e5e5;
        line-height: 30px;
    }

    .addApplications .applicationList {
        padding: 10px 0px;
    }

        .addApplications .applicationList table {
            width: 100%;
            color: #fff;
            border-collapse: collapse;
        }
            /*.addApplications .applicationList table th{
                font-weight:500;
                padding:10px 10px;
            }
                .addApplications .applicationList table td{
                    padding:5px 10px;
                }*/
            /* .addApplications .applicationList table td input {
                        border: none;
                        outline: none;
                        color: #fff;
                        width: 100%;
                        padding: 8px 8px;
                    }*/
            .addApplications .applicationList table td .clickIcon {
                width: 20px;
                height: 20px;
                display: block;
                background: #00a3a1;
                margin-left: auto;
                position: relative;
                cursor: pointer;
            }

                .addApplications .applicationList table td .clickIcon::after {
                    content: "";
                    width: 12px;
                    height: 2px;
                    background: #fff;
                    position: absolute;
                    left: 4px;
                    top: 50%;
                    margin-top: -1px;
                }

                .addApplications .applicationList table td .clickIcon::before {
                    content: "";
                    width: 2px;
                    height: 12px;
                    background: #fff;
                    position: absolute;
                    top: 4px;
                    left: 50%;
                    margin-left: -1px;
                }

                .addApplications .applicationList table td .clickIcon.remove {
                    background: #f00;
                }

                    .addApplications .applicationList table td .clickIcon.remove::before {
                        display: none;
                    }

    .clickIcon2 {
        position: absolute;
        top: 0px;
        width: 65px;
    }

        .clickIcon2 img {
            max-width: 65px;
        }

    .clickIcon3 {
        position: absolute;
        top: 15px;
        width: 36px;
    }

        .clickIcon3 img {
            max-width: 36px;
        }

    .minAssHeight {
        min-height: calc(100vh - 219px);
    }

    .addApplications .table_control {
        float: inherit;
    }

    .addApplicationss .AssessmentList img.img1 {
        height: 45px;
    }

    .addApplicationss .AssessmentList img.img2 {
        height: 30px;
    }

    .addApplications .btnsubmit {
        float: inherit;
        margin-bottom: 4px;
    }

        .addApplications .btnsubmit input {
            float: inherit;
        }

    .row__icons i {
        font-size: 15px;
    }
</style>
<script>
    $('.addApplications').hide();
    function Active(anchor) {
        $('.cardbtnIn').removeClass('active');
        $(anchor).children('div').addClass('active');
    }
    $(".orgmap .text").click(function () {
        $(this).parent().parent().toggleClass("inactive");
    })
</script>
<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Assign Assessment</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-5 pr-0">
            <div class="right_panel">
                <div class="right_content">
                    <h3>Assign Assessment</h3>
                    <ul class="orgmap" style="height: calc(100vh - 308px);overflow:auto;padding:10px">
                        @foreach (var item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == 0))
                        {
                            var isAssigned = item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString()) ?? false;
                            var img = item.Status == 0 ? "<span class='icon'><img src='/Image/CreateOrganogram/Trangle_Warning.png' /></span>" : item.Status == 1 ? "<span class='icon'><img src='/Image/CreateOrganogram/Circle_Information.png' /></span>" : "";
                            <li class="first inactive assessment">
                                <div>
                                    <span class="text">@item.Name</span>
                                    @Html.Raw(img)
                                    @if (isAssigned && item.Status >= 2)
                                    {
                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                        <a href="#" class="edit_btn" style="margin-top:19px;margin-left:5px" id="org@(item.Id)" onclick="$.get('@url', { orgId: '@item.Id',orgName:'@item.Name' }, res => { $('[AssessmentList]').html(res); $('.addApplications').show(); })"></a>
                                        <span class="f_icons">
                                            @foreach (var ass in Model.OrgAssignedAssessmentList.Where(x => x.OrgId == item.Id).ToList())
                                            {
                                                var v = ass.AssignedId; var fa = v == 1 ? "gear" : v == 2 ? "building" : v == 3 ? "arrows" : "cogs";
                                                <i class="fa fa-@(fa)"></i>
                                            }
                                        </span>
                                    }
                                </div>
                                <ul>
                                    @foreach (var _item in Model.OrganizationList.Where(x => x.ChildOrgId == item.Id && x.SubChildOrgId == 0))
                                    {
                                        var _isAssigned = _item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString()) ?? false;
                                        var _img = _item.Status == 0 ? "<span class='icon'><img src='/Image/CreateOrganogram/Trangle_Warning.png' /></span>" : _item.Status == 1 ? "<span class='icon'><img src='/Image/CreateOrganogram/Circle_Information.png' /></span>" : "";
                                        <li class="assessment">
                                            <div>
                                                <span class="text">@_item.Name</span>
                                                @Html.Raw(_img)
                                                @if (_isAssigned && _item.Status >= 2)
                                                {
                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                    <a href="#" class="edit_btn" style="margin-top:19px;margin-left:5px" id="org@(_item.Id)" onclick="$.get('@url', { orgId: '@_item.Id',orgName:'@_item.Name' }, res => { $('[AssessmentList]').html(res); $('.addApplications').show(); })"></a>
                                                    <span class="f_icons">
                                                        @foreach (var ass in Model.OrgAssignedAssessmentList.Where(x => x.OrgId == _item.Id).ToList())
                                                        {
                                                            var v = ass.AssignedId; var fa = v == 1 ? "gear" : v == 2 ? "building" : v == 3 ? "arrows" : "cogs";
                                                            <i class="fa fa-@(fa)"></i>
                                                        }
                                                    </span>
                                                }
                                            </div>
                                            <ul>
                                                @foreach (var __item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == _item.Id))
                                                {
                                                    var __isAssigned = __item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString()) ?? false;
                                                    var __img = __item.Status == 0 ? "<span class='icon'><img src='/Image/CreateOrganogram/Trangle_Warning.png' /></span>" : __item.Status == 1 ? "<span class='icon'><img src='/Image/CreateOrganogram/Circle_Information.png' /></span>" : "";
                                                    @if (!String.IsNullOrEmpty(__item.Name))
                                                    {
                                                        <li class="assessment">
                                                            <div>
                                                                <span class="text">@__item.Name</span>
                                                                @Html.Raw(__img)
                                                                @if (__isAssigned && __item.Status >= 2)
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                                    <a href="#" class="edit_btn" style="margin-top:19px;margin-left:5px" id="org@(__item.Id)" onclick="$.get('@url', { orgId: '@__item.Id',orgName:'@__item.Name' }, res => { $('[AssessmentList]').html(res); $('.addApplications').show(); })"></a>
                                                                    <span class="f_icons">
                                                                        @foreach (var ass in Model.OrgAssignedAssessmentList.Where(x => x.OrgId == __item.Id).ToList())
                                                                        {
                                                                            var v = ass.AssignedId; var fa = v == 1 ? "gear" : v == 2 ? "building" : v == 3 ? "arrows" : "cogs";
                                                                            <i class="fa fa-@(fa)"></i>
                                                                        }
                                                                    </span>
                                                                }
                                                            </div>
                                                        </li>
                                                    }
                                                }
                                            </ul>
                                        </li>
                                    }
                                </ul>
                            </li>
                        }
                    </ul>
                    <div class="clsHints">
                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Clients are not ready for Assessment</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" />Client ready for Assessment, Click on <img src="~/Image/CreateOrganogram/Signature.png" /> to activate</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" />Assessment Activated</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" AssessmentList></div>
    </div>
</section>
